local fn = _gn(0xEDC1A5B84AEF33FF)
--- locked is 0 if no door is found
-- locked is 0 if door is unlocked
-- locked is 1 if door is found and unlocked.
-- -------------
-- the locked bool is either 0(unlocked)(false) or 1(locked)(true)
function Global.GetStateOfClosestDoorOfType(type, x, y, z)
	return fn(_ch(type), x, y, z, _i --[[ actually bool ]], _f)
end
